#!/usr/bin/gnuplot

set terminal postscript eps enhanced
set out "zinn-magnetfeld-spannung.eps"

set xtics 20
set ytics 50
set grid
set ylabel "Spannungsdifferenz zwischen Proben- und Primaerspule in mV"
set xlabel "Magnetfeld in Gs"
set xrange [-0.2*45:6.5*45]
set key right bottom box


#plot "zinn-magnetfeld-spannung.dat" using 1:3:2:4 w boxxy lt 1 t "", "" using 1:3 w l t "p = 248 mbar", "" using 5:7:6:8 w boxxy lt 1 t "",  "" using 5:7 w l t "p = 100 mbar", "" using 9:11:10:12 w boxxy lt 1 t "", "" using 9:11 w l t "p = 30 mbar", "" using 13:15:14:16 w boxxy lt 1 t "",  "" using 13:15 w l t "p = 10 mbar"

plot "zinn-magnetfeld-spannung.dat" using ($1*45):3:($2*45):4 w boxxy lt 1 t "", "" using ($1*45):3 w l t "p = 248 mbar", "" using ($5*45):7:($6*45):8 w boxxy lt 1 t "",  "" using ($5*45):7 w l t "p = 100 mbar", "" using ($9*45):11:($10*45):12 w boxxy lt 1 t "", "" using ($9*45):11 w l t "p = 30 mbar", "" using ($13*45):15:($14*45):16 w boxxy lt 1 t "",  "" using ($13*45):15 w l t "p = 10 mbar"






#plot "zinn-magnetfeld-spannung.dat" using 1:3:2:4 w xyerrorbars t "", "" using 1:3 sm csp t "p = 248 mbar", "" using 5:7:6:8 w xyerrorbars t "",  "" using 5:7 sm csp t "p = 100 mbar", "" using 9:11:10:12 w xyerrorbars t "", "" using 9:11 sm csp t "p = 30 mbar", "" using 13:15:14:16 w xyerrorbars t "",  "" using 13:15 sm csp t "p = 10 mbar"


#plot "test.dat" using 1:2 w l





